Bug 687949 - systemd service libvirt-guests status line 37: /usr/bin/gettext.sh: No such file or directory
systemd service libvirt-guests status line 37: /usr/bin/gettext.sh: No such f...
Status: CLOSED DUPLICATE of bug 680270
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
15
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-15 15:33 EDT by Reartes Guillermo
Modified: 2011-04-02 16:45 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-02 16:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2011-03-15 15:33:24 EDT
Description of problem:

# systemctl status libvirt-guests.service
libvirt-guests.service - LSB: suspend/resume libvirt guests on shutdown/boot
          Loaded: loaded (/etc/rc.d/init.d/libvirt-guests)
          Active: failed since Tue, 15 Mar 2011 15:14:45 -0300; 1h 6min ago
         Process: 1325 ExecStart=/etc/rc.d/init.d/libvirt-guests start (code=exited, status=1/FAILURE)
          CGroup: name=systemd:/system/libvirt-guests.service

# service libvirt-guests status
/etc/init.d/libvirt-guests: line 37: /usr/bin/gettext.sh: No such file or directory

Version-Release number of selected component (if applicable):


How reproducible:
allways

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
found during debugin problems with kvm (no kvm)
Comment 1 Reartes Guillermo 2011-03-29 20:11:49 EDT
>> BAD
# service libvirt-guests status
/etc/init.d/libvirt-guests: line 37: /usr/bin/gettext.sh: No such file or directory

# systemctl status libvirt-guests.service
libvirt-guests.service - LSB: suspend/resume libvirt guests on shutdown/boot
          Loaded: loaded (/etc/rc.d/init.d/libvirt-guests)
          Active: failed since Tue, 29 Mar 2011 19:30:16 -0300; 1h 5min ago
         Process: 1287 ExecStart=/etc/rc.d/init.d/libvirt-guests start (code=exited, status=1/FAILURE)
          CGroup: name=systemd:/system/libvirt-guests.service

# which gettext.sh
/usr/bin/which: no gettext.sh in (/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin)

------

Tried with new versions:

systemd.x86_64                 20-2.fc15            @updates-testing
systemd-units.x86_64           20-2.fc15            @updates-testing
initscripts.x86_64             9.28-1.fc15          @updates-testing                  
sysvinit-tools.x86_64          2.88-3.dsf.fc15      @koji-override-0/$releasever
Comment 2 Jóhann B. Guðmundsson 2011-03-29 20:30:05 EDT
What happens if you install the gettext package and run systemctl start libvirt-guests.service?
Comment 3 Reartes Guillermo 2011-03-29 21:45:34 EDT

Installed: 
 gettext.x86_64         0:0.18.1.1-7.fc15   
Dependency Installed:
 gettext-libs.x86_64    0:0.18.1.1-7.fc15

-----------------

# service libvirt-guests status
stopped, with no saved guests

# systemctl status livirt-guests.service
livirt-guests.service
          Loaded: error
          Active: inactive (dead)


# systemctl enable libvirt-guests.service
libvirt-guests.service is not a native service, redirecting to /sbin/chkconfig.
Executing /sbin/chkconfig libvirt-guests on

# service libvirt-guests status
stopped, with no saved guests

# chkconfig --list| grep libvirt-guests

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

libvirt-guests  0:off   1:off   2:on    3:on    4:on    5:on    6:off


# service libvirt-guests start
Starting libvirt-guests (via systemctl):                   [  OK  ]

# service libvirt-guests status
started


------------


It seems that installing gettext (not installed by default with F15_KDE_LiveCD causes the  /usr/bin/gettext.sh: No such file or directory
Comment 4 Paul Jenner 2011-04-02 15:41:29 EDT
Effectively a duplicate of bug #680270 - libvirt-client is missing a dependency on gettext to satisfy libvirt-guests init script ?
Comment 5 Michal Schmidt 2011-04-02 16:45:07 EDT

*** This bug has been marked as a duplicate of bug 680270 ***

Note You need to log in before you can comment on or make changes to this bug.